Bug 179678 - KIO needs PolicyKit-kde integration
Summary: KIO needs PolicyKit-kde integration
Status: CONFIRMED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: general (show other bugs)
Version: 5.29.0
Platform: Compiled Sources Linux
: VHI wishlist
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: usability
: 116921 142638 161548 173385 179289 320811 355662 376624 379590 379927 386503 392280 392662 397016 400569 413360 417190 429066 453306 (view as bug list)
Depends on:
Blocks: 324254
  Show dependency treegraph
 
Reported: 2009-01-05 03:07 UTC by Adam Williamson
Modified: 2022-05-02 18:18 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.90


Attachments
Screen Shot (30.66 KB, image/png)
2018-04-13 19:52 UTC, Bo Weaver
Details
Security Report on the Functions of the KDE Desktop (36.87 KB, application/pdf)
2019-10-27 19:38 UTC, Bo Weaver
Details
attachment-20868-0.html (6.46 KB, text/html)
2021-10-30 13:45 UTC, shevegen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Williamson 2009-01-05 03:07:59 UTC
Version:            (using Devel)
Compiler:          GCC 4.3 
OS:                Linux
Installed from:    Compiled sources

Dolphin should have PolicyKit-kde integration for PolicyKit-controlled actions.

This mainly manifests itself when the default PolicyKit configuration for a given action is auth-admin (or some auth-admin variant). What this means is "allow the action after authentication with the administrator password". At present, Dolphin doesn't know how to do this, so if you try to do an action like this, it just fails with an error message printed at the bottom of the Dolphin window. What it should do is use policykit-kde (which actually works now) to request root authentication, and then perform the action.

For an example, try to access a not-currently-mounted fixed (not removable) partition in Dolphin on Mandriva Cooker. This action requires admin authentication in the default Mandriva PolicyKit configuration, so in Dolphin, it just fails.

For anyone who's frustrated by this bug, BTW, use polkit-kde-authorization to just grant permission to your user to perform the action in question. That will work, as then Dolphin doesn't need to do anything special, it'll just work.
Comment 1 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:19:39 UTC
Resetting assignee to default as per bug #305719
Comment 2 Frank Reininghaus 2013-06-06 09:32:32 UTC
*** Bug 320811 has been marked as a duplicate of this bug. ***
Comment 3 Frank Reininghaus 2013-06-06 09:34:19 UTC
Just for the record, I'm not sure how helpful PolicyKit integration for Dolphin would be. Most of the interesting stuff (copying/moving files, for example) is handled by KIO, so PolicyKit integration for KIO might actually be more useful.
Comment 4 Elvis Angelaccio 2017-01-13 21:24:36 UTC
Moving to kio, where this belongs.
Comment 5 Elvis Angelaccio 2017-02-18 18:37:41 UTC
*** Bug 376624 has been marked as a duplicate of this bug. ***
Comment 6 pier andre 2017-04-04 19:05:29 UTC
I would like to have the possibility to use dolphin as superuser whenever I want please
Comment 7 lega99 2017-04-20 13:43:02 UTC Comment hidden (spam)
Comment 8 FabiB 2017-04-27 12:58:24 UTC
With 17.04 Kate is broken for root-usage wich makes it really hart to deal with root-owned files, when using kate.

Another reason kio should simply support polkit so we can get rid of that sudoedit.
Comment 9 lega99 2017-04-27 16:42:06 UTC
@ FabiB
You say that the program Kate guilty and therefore Dolphin can not work in root mode. I visited https://kate-editor.org/get-it/ page and on that page there is no version 17.04 I conclude that it is in line with the philosophy of open source KDE-Neon developer revised program, the problem is pushed under the carpet.
Comment 10 FabiB 2017-04-27 22:08:47 UTC
(In reply to lega99 from comment #9)
> @ FabiB
> You say that the program Kate guilty and therefore Dolphin can not work in
> root mode.
No. I say kate developers (but also dolphin developers) have deactivated root-mode for the apps. wich is a bad idea without providing any good replacement (like Polkit support in KIO).
> I visited https://kate-editor.org/get-it/ page and on that page
> there is no version 17.04
KDE Apps 17.04 was released April 20, 2017. 
https://www.kde.org/announcements/announce-applications-17.04.0.php
> of open source KDE-Neon developer revised program
I dont talk about the kubuntu neon project. This is a KDE thing, not a distro specific thing.

Truth is: they now deactivatet root mode for dolphin and Kate, there is no replacementment, so distros start to patch out this change
https://forums.opensuse.org/showthread.php/524150-Executing-Dolphin-as-root-is-not-possible?p=2820568#post2820568
https://forum.antergos.com/post/42159

But that leads to a off-topic direction. I just wanted to show off that this feature (polkit support for KIO) would be very important right now.
Comment 11 林博仁(Buo-ren, Lin) 2017-05-06 08:19:51 UTC
I'm very disappointed when I tried to modify a system file via running Dolphin as root and failed.  IMO developer shouldn't disable an function simply because "it can be dangerous in certain circumstances".  When something can be useful when running as root, it should be allowed to do so.

I agree that the PolicyKit is the way to go, but it's not right to shut previous working method off before a proper alternative is available.  `sudoedit` is not enough as it's not GUI.
Comment 12 林博仁(Buo-ren, Lin) 2017-05-06 08:33:19 UTC
Also "is not possible" is a wrong term, it should be "is not allowed(explicitly by us developers)"

It shouldn't be outputted in STDOUT as users who run `kdesudo dolphin` will not even notice a thing, it should be in some sort of GUI error dialog.

Also it's preferable if you can lead users to this bug from the error message, so they can find workaround and stuff like running `sudo rm` and `sudoedit` in Konsole
Comment 13 Elvis Angelaccio 2017-05-06 19:09:08 UTC
*** Bug 379590 has been marked as a duplicate of this bug. ***
Comment 15 1212 2017-05-07 09:55:34 UTC
Hello,

Now arch has no framework-kio in the repos.
Therefore, it does not work.
Did you possibly take the second step before the first?
Comment 16 1212 2017-05-07 09:57:50 UTC
(In reply to 1212 from comment #15)
> Hello,
> 
> Now arch has no framework-kio in the repos.
> Therefore, it does not work.
> Did you possibly take the second step before the first?

Distribution is arch
Comment 17 Elvis Angelaccio 2017-05-17 08:36:02 UTC
*** Bug 379927 has been marked as a duplicate of this bug. ***
Comment 18 林博仁(Buo-ren, Lin) 2017-07-05 08:29:34 UTC
Polkit is triggered when I accidentally tried to save a root-owned file in Kate in neon 5.10 user edition, is this feature implemented?
Comment 19 Elvis Angelaccio 2017-07-06 17:29:12 UTC
(In reply to 林博仁 from comment #18)
> Polkit is triggered when I accidentally tried to save a root-owned file in
> Kate in neon 5.10 user edition, is this feature implemented?

Not yet, only in ktexteditor for now.
Comment 20 shevegen 2017-10-01 01:41:59 UTC Comment hidden (spam)
Comment 21 FabiB 2017-10-01 06:55:37 UTC Comment hidden (spam)
Comment 22 Christoph Feck 2017-10-11 11:34:56 UTC
*** Bug 179289 has been marked as a duplicate of this bug. ***
Comment 23 Elvis Angelaccio 2017-11-04 09:57:59 UTC
*** Bug 386503 has been marked as a duplicate of this bug. ***
Comment 24 Pawel 2017-11-17 20:42:54 UTC Comment hidden (spam)
Comment 25 Nate Graham 2017-11-17 20:51:19 UTC
Nobody is dumbing anything down. Basic security involves running with the lowest permissions possible. That's why you selectively use sudo when you need to edit something as root, rather than using into the root account 100% of the time. This is simply a further extension of the principle: run with normal permissions until the software requests an action demanding elevated permissions, and only then do we ask for those permissions.

If some part of the new system doesn't work properly, that's a bug, and we should--and will--fix it. But note that this particular bug report concerns KIO, not Kate. Anyone who's having an issue with Kate should file a new bug against the Kate product. And FWIW, Kate's PolKit support has been working just fine for me. You can open a root-owned file and then only when you save it are you prompted for credentials. Works like a charm, no "dumbing down" involved.
Comment 26 Pawel 2017-11-17 20:59:42 UTC
(In reply to Nate Graham from comment #25)
Thanks for the reply. The problem is that I've been directed here after I filed a bug with Nautilus. Because it's apparently connected with KIO etc. Dolphin has a Root Actions menu, where I should be able to open a location as root. But that doesn't work - I type the password and nothing happens. I've been told it's not connected with Nautilus but with PolicyKit, or whatever - a deeper issue that's beyond me. So my question is where should I file that bug? Because it is a bug - there is an option in the Nautilus menu but it doesn't work.
Comment 27 Nate Graham 2017-11-17 21:23:27 UTC
Nautilus isn't a KDE product; it's made by the GNOME people. Nautilus doesn't use KIO. If you're having a problem with Nautilus, you should file a bug on the GNOME bugzilla.

If you're having a problem with Dolphin, you should file a bug here on the KDE Bugzilla, against the Dolphin product. Please make sure to include detailed Steps To Reproduce and possibly screenshots too.
Comment 28 Nate Graham 2017-11-17 21:29:28 UTC
*** Bug 387042 has been marked as a duplicate of this bug. ***
Comment 29 Nate Graham 2017-11-17 21:31:10 UTC
I found your bug: https://bugs.kde.org/show_bug.cgi?id=387042. That concerns a 3rd-party extension that we don't support. The bottom line is that once this bug is closed (and we're really close, see https://phabricator.kde.org/T6561), then everything will work and you won't even need the 3rd-party Root Actions extension in the first place.
Comment 30 Pawel 2017-11-17 21:48:23 UTC
(In reply to Nate Graham from comment #27)
> Nautilus isn't a KDE product; it's made by the GNOME people. Nautilus
> doesn't use KIO. If you're having a problem with Nautilus, you should file a
> bug on the GNOME bugzilla.
> 
> If you're having a problem with Dolphin, you should file a bug here on the
> KDE Bugzilla, against the Dolphin product. Please make sure to include
> detailed Steps To Reproduce and possibly screenshots too.

I'm sorry, I meant DOLPHIN.
Comment 31 Pawel 2017-11-17 21:53:01 UTC
OK, thanks a lot. It's just confusing because this extension is installed by default (at least in Manjaro) so you have menu items in Dolphin that don't work. Anyway, I'm glad that things are supposed to work soon.
Comment 32 Nate Graham 2017-11-17 22:00:48 UTC
Definitely! I would recommend filing a bug on Manjaro asking them to not include that extension by default, since it doesn't even work and will imminently be replaced by built-in functionality.
Comment 33 Bo Weaver 2017-12-16 18:25:25 UTC Comment hidden (spam)
Comment 34 Nate Graham 2017-12-16 18:39:56 UTC Comment hidden (spam)
Comment 35 Bo Weaver 2017-12-16 19:42:20 UTC
(In reply to Nate Graham from comment #34)
Thanks for the reply Nate.  Your reply does answer some questions and your reply is more open to discussion instead of just WONTFIX.  thank you.

> Bo, you're not really arguing against a decision made here, but rather
> against the whole direction that our industry is going in. As has been
> mentioned, Wayland disallows running GUI apps as root. As a penetration
> tester, this may make your life more difficult, but you're not the user that
> the Wayland folks are targeting. 

I didn't know that about Wayland.  True I don't stay on top of desktop coding I'm a pen tester I just "use" the desktop.  You are right for pen testing I guess this means going back to 1970 and not even install a desktop.

Yes the way the industry it appears is everything will be a phone one day.  What about those of us that need a REAL computing system?  We're not all lusers.  I don't even own a smart phone for this reason.

> They are trying to make computers more
> secure for ordinary users (who have difficulty with the concepts we're
> discussing), not more convenient for security researchers. I would recommend
> you take your case to the Wayland folks, though I doubt you'll get very far
> because this is an architectural design decision that doesn't really seem
> open for debate.

I know that is the party line about ordinary users, but this isn't the case I have seen in the "real world".  I have a lot of friends that now use Linux because of me.  Normal people truck drivers, Ironworkers, 83 year old Grandmothers.  People you have no clue on how it all works and they don't care they use want it to work and it works fine for them.  They never need to go into root.  Lately most distros the root account is locked its there but locked and can be easily unlocked if needed.  This works fine and is secure.  When sometime breaks they call me and I do the root work.

I know what you are saying about the Wayland team is true from what I have followed about Wayland on the net they do have their head up their a_s and it is their way of the highway.  Much like systemd got crammed down our throats.  At least they didn't cut out root access to systemd.  

This is the real problem here developers are always trying to fix non-problems and think they know better than the actual users.  Gnome totally destroyed their desktop with thinking like this.  I wonder how any developers on this team use Macs or other systems to write code everyday?  Does everyone use KDE for their day to day computing?  I do.

Question here:  Gnome runs on Wayland yet their file manager and text editor work just fine with the desktop running under root.  Kali's default desktop is Gnome and Kali is set up to run under root.  So why not KDE?

> 
> Instead, you're in the same boat we are: given that currently (or in the
> near future), we won't be able to open GUI apps as root, how can we avoid
> losing existing functionality? So far the answer seems to be PolKit
> adoption, which lets you open apps using normal user permissions and only
> request elevated permissions when necessary. Again this isn't really our
> decision; the world evolves and we need to evolve along with it or else our
> software will stop working.
> 
> > Well it seems that you all screwing with KIO broke kate so why report it to the
> > kate team?  BTW what you said about opening a root owned file is wrong.  Kate
> > will not open AT ALL under root.  you said I can see the file how?? Kate won't
> > even open.  It doesn't "work like a charm" it doesn't work AT ALL.
> 
> You don't open Kate as root anymore. You open it with normal permissions and
> edit your root-owned file, either by opening it with the File > Open dialog,
> or via `kate /path/to/root/owned/file.txt`. When you save, you should get
> prompted for credentials to complete the save operation.

I'm running IN root.  3 days ago Kate worked just fine under root after an update 2 days ago it will not open at all.  I'm not attempting a sudo action.  I am root.

> 
> Both of those use cases work for me with KDE Frameworks 5.40 and Kate 17.12,
> and they have worked for quite a while. If either of those use cases do not
> work for you, please let us know.

No this doesn't work and this does breaks the consecpt of root access.  Root is to have FULL access to everything.  This means a file manager or a text editor or any other application or process.

In engineering we have a saying "If it ain't broke don't f_ck with it".  I think you developers should take heed to that.

A security note here.  as someone who hacks Linux system regularly.  This is a security non-issue.  I've hacked 1000's of machines and have yet to use an X11 exploit to gain root access their are too many other and easier ways to gain this access.  Most Linux machines I have pwned don't even have a GUI.  So all this chaos and breaking access to a file manager and a text editor for "security" is just plain wrong.  You have "fixed" nothing and broken access.

Nate I really hate coming down on you all I've used KDE since the 90's and thank you for a wonderful desktop for all those years.  It will really make me cry to leave but I have to have a usable desktop to make a living.  KDE has always been great because it catered to the more advanced user like me.  Please understand there is a lot of gratitude behind these words also for your desktop.  I just begging please don't f_ck it up.  When I'm logged in as root give me FULL access to everything and if I do bork my machine because I did something stupid I will blame myself and not you guys.

Thanks again for your reply.
Comment 36 Nate Graham 2017-12-16 19:49:58 UTC
Let me make sure I understand:

- With GNOME, you log in as the root user with a Wayland session OR an X session and in both cases you can run Gedit and Dolphin as the root user

- With KDE Plasma, you log in as the root user with a Wayland session OR an X session and in both cases you can't run Kate or Dolphin

If that is the case, then I think we have found the actual bug and I agree that it should be fixed. This ticket just tracks general Polkit adoption, so we should track that issue with a new bug report.
Comment 37 Bo Weaver 2017-12-16 22:08:50 UTC
(In reply to Nate Graham from comment #36)
> Let me make sure I understand:
> 
> - With GNOME, you log in as the root user with a Wayland session OR an X
> session and in both cases you can run Gedit and Dolphin as the root user

Yep with Gnome running a X session Gedit and their File Manager (Natulius) (Spelled wrong)  work just fine when logged in as root.  By default Kali is set up with only a root account.

> 
> - With KDE Plasma, you log in as the root user with a Wayland session OR an
> X session and in both cases you can't run Kate or Dolphin

Yep they just "don't work" no error no nothing.  Since I am an advance user I did know to run the executable from the command line and then got the error can't run as root.  Breaks your heart when you click on Dolphin like you have 10,000 times and after an update nothing happens.

Even in KDE when logged in as root LeafPad and Gedit will open an run and change files just fine.  This is my point you haven't stopped editing files you've only stopped me from using Kate.  Midnight Commander also works just fine.  I just don't like going back to 1980.  

Yep just checked Gnome on both Wayland and Xorg the default text editors and file manager work fine when logged in as root.  This is a KDE problem.

> 
> If that is the case, then I think we have found the actual bug and I agree
> that it should be fixed. This ticket just tracks general Polkit adoption, so
> we should track that issue with a new bug report.

Thank you!  yes this is a bug.  When logged in as root there should be no restrictions on anything.  That's the reason for the root account.  Now days this account is locked and rightly so.  Really Polkit from what I have read is for system changes from a normal user account like of like sudo to elevate privileges for a single action (good thing)  Such as changing a configuration file.  I'm all for this.  What I am saying is when an advanced user enables the root account and logs in there should be no restrictions on anything.  You guys are in control of the desktop not the underlying OS.  The PolicyKit should have no control when logged in as root.  Your root.

If you want to restrict Kate and Dolphin from a normal user account go right ahead but leave the root account alone.
Comment 38 Bo Weaver 2017-12-16 22:14:31 UTC
(In reply to Bo Weaver from comment #37)
> (In reply to Nate Graham from comment #36)
> > Let me make sure I understand:
> > 
> > - With GNOME, you log in as the root user with a Wayland session OR an X
> > session and in both cases you can run Gedit and Dolphin as the root user
> 
> Yep with Gnome running a X session Gedit and their File Manager (Natulius)
> (Spelled wrong)  work just fine when logged in as root.  By default Kali is
> set up with only a root account.
> 
> > 
> > - With KDE Plasma, you log in as the root user with a Wayland session OR an
> > X session and in both cases you can't run Kate or Dolphin
> 
> Yep they just "don't work" no error no nothing.  Since I am an advance user
> I did know to run the executable from the command line and then got the
> error can't run as root.  Breaks your heart when you click on Dolphin like
> you have 10,000 times and after an update nothing happens.
> 
> Even in KDE when logged in as root LeafPad and Gedit will open an run and
> change files just fine.  This is my point you haven't stopped editing files
> you've only stopped me from using Kate.  Midnight Commander also works just
> fine.  I just don't like going back to 1980.  
> 
> Yep just checked Gnome on both Wayland and Xorg the default text editors and
> file manager work fine when logged in as root.  This is a KDE problem.
> 
> > 
> > If that is the case, then I think we have found the actual bug and I agree
> > that it should be fixed. This ticket just tracks general Polkit adoption, so
> > we should track that issue with a new bug report.
> 
> Thank you!  yes this is a bug.  When logged in as root there should be no
> restrictions on anything.  That's the reason for the root account.  Now days
> this account is locked and rightly so.  Really Polkit from what I have read
> is for system changes from a normal user account like of like sudo to
> elevate privileges for a single action (good thing)  Such as changing a
> configuration file.  I'm all for this.  What I am saying is when an advanced
> user enables the root account and logs in there should be no restrictions on
> anything.  You guys are in control of the desktop not the underlying OS. 
> The PolicyKit should have no control when logged in as root.  Your root.
> 
> If you want to restrict Kate and Dolphin from a normal user account go right
> ahead but leave the root account alone.


BTW I just tried Kate and Dolphin from a normal user account on a Kali machine.  When I went to edit a system file it did give me a proper password prompt.  Kate worked just fine in this manner.  It appears this problem is when only logged in as root.  This is fine from the normal user account.  Kate won't fire at all from root.
Comment 39 Nate Graham 2017-12-16 23:11:59 UTC
Thanks for working with me and digging deep here. In the end, this was all just a big misunderstanding, not some kind of conspiracy. :) 

Bugs for Dolphin and Kate:
- https://bugs.kde.org/show_bug.cgi?id=387974
- https://bugs.kde.org/show_bug.cgi?id=387973

Are there any other apps that gained PolKit support but stopped launching when you're logged in as the root user?
Comment 40 Pawel 2017-12-17 08:53:25 UTC
I'm following this issue keenly, would be greatly interested in seeing this solved. By the way Bo, you don't have to go back as far as Midnight Commander; Krusader works just fine in root mode.
Comment 41 Bo Weaver 2017-12-18 03:04:42 UTC
(In reply to Nate Graham from comment #39)
> Thanks for working with me and digging deep here. In the end, this was all
> just a big misunderstanding, not some kind of conspiracy. :) 
> 
> Bugs for Dolphin and Kate:
> - https://bugs.kde.org/show_bug.cgi?id=387974
> - https://bugs.kde.org/show_bug.cgi?id=387973
> 
> Are there any other apps that gained PolKit support but stopped launching
> when you're logged in as the root user?

I just tried some more applications.  All "custom" applications for Kali appear to be working fine.  The PIM interface did load.  I don't use it under root so it wasn't fully configured but did properly go into the set up.  The only applications I have found that don't work is Dolphin, Kate and Kwrite.  From the command line these all fail with the can't run under root error.  From the desktop when the icon is clicked they just fail no errors.  This is only happening when logged in the desktop as root.  When I am in a normal user account Kate runs and when saving a system file I get a proper password prompt.  This also happens when copying a file to a system directory.

Please don't get me wrong guys this is the "right way" for normal users the root account locked out and a password protected way to change files from a user account.

I just really miss Kate for me it is the finest text editor ever made.

Thanks for your all's help getting this fixed up
Comment 42 Bo Weaver 2017-12-18 03:14:31 UTC
(In reply to Pawel from comment #40)
> I'm following this issue keenly, would be greatly interested in seeing this
> solved. By the way Bo, you don't have to go back as far as Midnight
> Commander; Krusader works just fine in root mode.

Thanks again guys for getting this fixed.  Some people like me have to work under root.  I never tell an average user that and only when I'm testing do I run under root.  I right now I am typing this from a locked down luser account.

Like I said earlier you all are going the right direction with security for the average Joe.  I have two machines also here (yes they run KDE) that root have never been unlocked and never will be.  They're just puters.
Comment 43 Bo Weaver 2018-01-11 07:26:14 UTC
From earlier replies I thought you all were going to fix this problem but after updating my system it seems you all just have made the problem worse.  The problem was Kate and Dolpin not working when logged IN as root.  Now Konqueror has now stopped working when logged IN as root.  AGAIN some people must work with a full root login.  I know you all say Wayland will not support root logins but it is up to you the developer to deal with them and explain this is a stupid idea. Some people must work under root.  Again guys you are breaking the operating system and it is not up to you or the Wayland guys to screw with the underlying OS.  Root is root and root has full access to EVERYTHING.  What part of everything do you not understand.  Again you are screwing with how I make my living by screwing with something you have no right to mess with.  Root access.  

Think about this Suse and others are pushing out patches to remove your work.  Doesn't this tell you this isn't what the customer wants?  I know you say you are trying to make Linux idiot proof but take a good look most users of KDE are advanced user which know and assume responsibility of running root. 

Guys like I said I have used KDE since the 90's and sure I've had quirks but I have never seen you all mess with parts of the OS you weren't suppose to.  I really hate to have to rebuild my work machine to use MATE or something and trashing KDE.

PLEASE REMOVE this blocking of UID=0 from your applications.
Comment 44 Bo Weaver 2018-01-22 16:36:44 UTC Comment hidden (spam)
Comment 45 Bo Weaver 2018-03-04 19:45:18 UTC Comment hidden (spam)
Comment 46 lega99 2018-03-06 12:19:33 UTC Comment hidden (spam)
Comment 47 Elvis Angelaccio 2018-03-24 19:27:39 UTC
*** Bug 392280 has been marked as a duplicate of this bug. ***
Comment 48 Nate Graham 2018-04-11 22:00:27 UTC
*** Bug 142638 has been marked as a duplicate of this bug. ***
Comment 49 Nate Graham 2018-04-13 17:42:02 UTC
*** Bug 161548 has been marked as a duplicate of this bug. ***
Comment 50 Bo Weaver 2018-04-13 19:52:27 UTC
Created attachment 112015 [details]
Screen Shot

When using kate from the CL you get this in the error.

"Executing Kate as root is not possible. To edit files as root use:
SUDO_EDITOR=kate sudoedit <file>"

In many of the blogs it says to use this method.  The method doesn't work.  Please see attached screen shot as evidence.
Comment 51 Antonio Rojas 2018-04-13 20:35:38 UTC
(In reply to Bo Weaver from comment #50)
> Created attachment 112015 [details]
> Screen Shot
> 
> When using kate from the CL you get this in the error.
> 
> "Executing Kate as root is not possible. To edit files as root use:
> SUDO_EDITOR=kate sudoedit <file>"
> 
> In many of the blogs it says to use this method.  The method doesn't work. 
> Please see attached screen shot as evidence.

You are *still* trying to run it as root. You're supposed to do that as a regular user. But in any case, that is obsolete, with a recent enough ktexteditor you can edit root owned files by running kate as a regular user.
Comment 52 lega99 2018-04-14 15:03:35 UTC
(In reply to Antonio Rojas from comment #51)
> (In reply to Bo Weaver from comment #50)
> > Created attachment 112015 [details]
> > Screen Shot
> > 
> > When using kate from the CL you get this in the error.
> > 
> > "Executing Kate as root is not possible. To edit files as root use:
> > SUDO_EDITOR=kate sudoedit <file>"
> > 
> > In many of the blogs it says to use this method.  The method doesn't work. 
> > Please see attached screen shot as evidence.
> 
> You are *still* trying to run it as root. You're supposed to do that as a
> regular user. But in any case, that is obsolete, with a recent enough
> ktexteditor you can edit root owned files by running kate as a regular user.

As far as I see, you are persistently trying to replace the thesis and crushing evidence. If Bo Weaver uses Kali that works in root mode, you are asking him to create an ordinary user account and to do the job he needs to do as a root user. It does not have any logic, I think you just need to say adio KDE and plasma.
Comment 53 Bo Weaver 2018-04-16 16:27:43 UTC Comment hidden (spam)
Comment 54 Bo Weaver 2018-04-16 17:40:39 UTC Comment hidden (spam)
Comment 55 Nate Graham 2018-04-23 19:42:35 UTC
*** Bug 116921 has been marked as a duplicate of this bug. ***
Comment 56 Nate Graham 2018-06-04 00:59:23 UTC
Somehow this bug about PolicyKit integration in KIO got sidetracked into a discussion about whether you should be able to use Dolphin and Kate while logged in as the root user. I'm happy to report that a patch I submitted to let you do just that was accepted, and the functionality has been restored.  See Bug 387974 and Bug 387973. Dolphin and Kate should once again be fully functional in Kali et al.

Hopefully now this ticket can return to tracking PolicyKit integration for KIO. That will be implemented once https://phabricator.kde.org/D7571 lands, which is currently blocked by outstanding security issues that were discovered in an audit: https://phabricator.kde.org/T8075.

We're getting really close!
Comment 57 Bo Weaver 2018-06-08 18:17:28 UTC
(In reply to Nate Graham from comment #56)
> Somehow this bug about PolicyKit integration in KIO got sidetracked into a
> discussion about whether you should be able to use Dolphin and Kate while
> logged in as the root user. I'm happy to report that a patch I submitted to
> let you do just that was accepted, and the functionality has been restored. 
> See Bug 387974 and Bug 387973. Dolphin and Kate should once again be fully
> functional in Kali et al.
> 
> Hopefully now this ticket can return to tracking PolicyKit integration for
> KIO. That will be implemented once https://phabricator.kde.org/D7571 lands,
> which is currently blocked by outstanding security issues that were
> discovered in an audit: https://phabricator.kde.org/T8075.
> 
> We're getting really close!

Dear Nate,

I want to thank you for getting this fixed.  I this has renewed by faith in KDE.  The patch hasn't made it to Kali yet but I'm sure it will be soon.  I really didn't want to change desktops after 25 years of use.  

Bo Weaver
Comment 58 Bo Weaver 2018-06-25 23:10:40 UTC
Nate

I was wondering when this might be pushed out.  I have seen that kate and dolphin have both updated twice on Kali but the function has not returned to the applications.

I'm working on a book about Kali and I'm kinda stuck on the KDE section until this is fixed.  I would like to include the normal functions of kate and dolphin and not include the workarounds to get around this bug.  I really want to give KDE the best review possible.

Thanks
Bo



(In reply to Nate Graham from comment #56)
> Somehow this bug about PolicyKit integration in KIO got sidetracked into a
> discussion about whether you should be able to use Dolphin and Kate while
> logged in as the root user. I'm happy to report that a patch I submitted to
> let you do just that was accepted, and the functionality has been restored. 
> See Bug 387974 and Bug 387973. Dolphin and Kate should once again be fully
> functional in Kali et al.
> 
> Hopefully now this ticket can return to tracking PolicyKit integration for
> KIO. That will be implemented once https://phabricator.kde.org/D7571 lands,
> which is currently blocked by outstanding security issues that were
> discovered in an audit: https://phabricator.kde.org/T8075.
> 
> We're getting really close!
Comment 59 Nate Graham 2018-06-26 03:37:09 UTC
Bo, See the "Version Fixed In" fields on Bug 387974 and Bug 387973. The fix will be in the versions of Dolphin and Kate from KDE Applications 18.08.0, which hasn't been released yet. You can always ask the Dolphin and Kate Packagers for Kali to backport the change (which is small and low-risk) to the currently-released version if you want it now.
Comment 60 Christoph Feck 2018-07-31 18:38:21 UTC
*** Bug 397016 has been marked as a duplicate of this bug. ***
Comment 61 Alexander Mentyu 2018-08-13 17:58:54 UTC
Currently getting messages when launching from root in terminal - both in X11 and Wayland:
Executing Kate with sudo is not possible due to unfixable security vulnerabilities.
Executing Dolphin with sudo is not possible due to unfixable security vulnerabilities.
sudoedit: editing files in a writable directory is not permitted

Distribution: KDE neon Developer Edition
Kernel: 4.15.0-29-generic
Plasma: 5.13.80
Apps: 18.11.70
Qt: 5.11.1
Frameworks: 5.48.0
Comment 62 Nate Graham 2018-08-13 21:09:55 UTC
(In reply to Alexander Mentyu from comment #61)
> Currently getting messages when launching from root in terminal - both in
> X11 and Wayland:
> Executing Kate with sudo is not possible due to unfixable security
> vulnerabilities.
> Executing Dolphin with sudo is not possible due to unfixable security
> vulnerabilities.
> sudoedit: editing files in a writable directory is not permitted

You need to actually *log in* using the root user. You can't elevate your privileges in a terminal.

Regardless, that's unrelated to this bug, which tracks PolicyKit integration (which I think really is coming along quite soon...)
Comment 63 lega99 2018-08-20 13:28:03 UTC
(In reply to Nate Graham from comment #62)
> (In reply to Alexander Mentyu from comment #61)
> > Currently getting messages when launching from root in terminal - both in
> > X11 and Wayland:
> > Executing Kate with sudo is not possible due to unfixable security
> > vulnerabilities.
> > Executing Dolphin with sudo is not possible due to unfixable security
> > vulnerabilities.
> > sudoedit: editing files in a writable directory is not permitted
> 
> You need to actually *log in* using the root user. You can't elevate your
> privileges in a terminal.
> 
> Regardless, that's unrelated to this bug, which tracks PolicyKit integration
> (which I think really is coming along quite soon...)

This is not a solution to the problem. How much do I know logging as a root is allowed only in the terminal in many distributions. This is the only solution for Kali. Why should I use this solution and adjust my distribution to work in GUI mode as root. Simply more serious is the use of Krusederr, Nemo,  Nautilus program in normal user mode with sudo or kdesu. Continue writing tips do not use GUI as a root user if enabled. I'm disappointed with this solution.
Comment 64 Nate Graham 2018-08-20 13:37:39 UTC
The solution to being able to edit root-owned files as your user is for this bug to be resolved. :)
Comment 65 lega99 2018-08-20 16:01:18 UTC
(In reply to Nate Graham from comment #64)
> The solution to being able to edit root-owned files as your user is for this
> bug to be resolved. :)

How to run Dolphin as root with command. I do not understand if I really need to log in as a root in the GUI mode that distributions do not allow, except Kali
Comment 66 Nate Graham 2018-08-20 16:03:22 UTC
(In reply to lega99 from comment #65)
> (In reply to Nate Graham from comment #64)
> > The solution to being able to edit root-owned files as your user is for this
> > bug to be resolved. :)
> 
> How to run Dolphin as root with command. I do not understand if I really
> need to log in as a root in the GUI mode that distributions do not allow,
> except Kali

The point is, once this bug is resolved, there will never be a circumstance in which you ever need to run `sudo dolphin` because you will be able to modify root-owned files from within Dolphin when run normally; it will simply ask for your password and then make the change.
Comment 67 Bo Weaver 2018-08-20 16:34:48 UTC
Nate,

I'd like to point out again.  This has nothing really to do with "sudo" access.  It is that KDE has crippled "root" access.  I know you have said that this will be fixed in the next version BUT it has been over 8 months now and not fixed.  I did notify Kali but it appears they are not going to backport kate and dolphin.  This is just a couple of lines of code you all included so PLEASE!! just take it out and you all do the backporting.  After all this is KDE's mistake in the first place.  It would seem you all would do the "right thing" and get this fixed now not later.

Please understand some of us make our living using your tools we aren't playing we have real work to do and this cripples our jobs.  I bet you wouldn't like working with a broken IDE for 8 months.
Comment 68 Nate Graham 2018-08-20 16:43:31 UTC
(In reply to Bo Weaver from comment #67)
> Nate,
> 
> I'd like to point out again.  This has nothing really to do with "sudo"
> access.  It is that KDE has crippled "root" access.  I know you have said
> that this will be fixed in the next version

The current version, in fact. The fix was released with KDE Applications 18.08 a few days ago.


> now and not fixed.  I did notify Kali but it appears they are not going to
> backport kate and dolphin.  This is just a couple of lines of code you all
> included so PLEASE!! just take it out and you all do the backporting.

That's not how anything works.

KDE guarantees three bugfix releases for the previous version (e.g. Dolphin 18.04.3). Those three versions have already been released; there will not be a 18.04.4 release. If there was, I could backport the fix to that, but there won't be, so I can't. As a result, there is no way for me to backport the fix to the Applications 18.04 release.

Distros are responsible for backporting fixes beyond what KDE provides via the above release schedule. If they don't care, that's their issue, not ours. I understand that you're frustrated but we can't go back in time and make this never have happened. It's fixed in the present and the future, and that's the best we can do. For the meantime, you're going to have to be patient and wait for Kali to update to Applications 18.08, or be more persuasive in asking them to backport the fix to 18.04.

There's nothing more that KDE can do here, I'm afraid.

---

Please everyone: this ticket tracks PolicyKit support in KIO. It is not a place for complaining about the inability to do `sudo dolphin` or open Dolphin as the root user in releases prior to 18.08. We cannot help with those here.
Comment 69 lega99 2018-08-20 18:55:53 UTC
(In reply to Nate Graham from comment #66)
> (In reply to lega99 from comment #65)
> > (In reply to Nate Graham from comment #64)
> > > The solution to being able to edit root-owned files as your user is for this
> > > bug to be resolved. :)
> > 
> > How to run Dolphin as root with command. I do not understand if I really
> > need to log in as a root in the GUI mode that distributions do not allow,
> > except Kali
> 
> The point is, once this bug is resolved, there will never be a circumstance
> in which you ever need to run `sudo dolphin` because you will be able to
> modify root-owned files from within Dolphin when run normally; it will
> simply ask for your password and then make the change.

I am shocked, file manager is not an editor, that´s all I can say. You behaviour and replies are unacceptable, if you continue this way very soon your programs will disappear, and Mint has already begun and abandoned KDE distribution. KDE authors are Neon and Kubuntu, and that´s going so poorly that Neon isn´t capable after all these months to make a switch to Ubuntu 18.04 which is its base.
Comment 70 Bo Weaver 2018-08-21 20:20:41 UTC
First I'd like to point out that this was submitted as a single bug report.  YOU GUYS merged it into the bug so sorry Nate if you don't like us writing to this bug.  You all put it here.

I did update my system and no joy on the update to these applications.  I do know that since you all broke root I can't even see what version of dolphin or kate is running they error out "can't run as root".  So finding out exactly what version is now running is impossible --version is broken.

You say there is only 3 bug fixes a version well explain this.  There were some major updates happened to KDE during the update.  I always see something on KDE get updated on every update which I do a lot.  So if there are only 3 then where do all the "other" updates come from if not from you all?  The update fairy???

Also note from Alexander's comment:
Plasma: 5.13.80
Apps: 18.11.70

I know developer's don't know math very well but .8 and .7 is GREATER THAN .3  Yes engineers can do math.  So your comment about only 3 changes per release is either an out right lie or you guys don't know anything about versioning.

Even with that this is more than a simple bug.  You went way beyond your bounds as DE developers and BROKE root access to applications.  You broke OS access.  There are rules to OS development and you all broke them knowingly and willingly.

What really makes me mad is you all have yet to admit this was a serious mistake made by you all and reply to us like we don't know what we are talking about and refuse to quickly fix your screw up.  It is especially bad when the fix is just upload the old binaries to the repos.

At the very least you could give us some links to where the old binaries are at so we could download them and manually install them.
Comment 71 Nate Graham 2018-08-21 20:29:56 UTC
Bo, the version of all KDE apps should be the same. So for example if you're using Gwenview 18.08, then you're also using Dolphin 18.08. So you can check your Gwenview version to find out what version of Dolphin you have, even if Dolphin won't run when you're logged in as the root user.

Alexander was trying to use sudo, not log in as root. Logging in as the root user should be fixed now in 18.08. If you can confirm that you're running Dolphin 18.08 and it still doesn't work when you *log in as the root user* (not using sudo), then there's still a bug and I'll try my best to fix it.

We are all trying our best to fix the issue here. Please be respectful. Insults and abuse don't make friends or fix problems.
Comment 72 Bo Weaver 2018-08-21 21:26:31 UTC
(In reply to Nate Graham from comment #71)
> Bo, the version of all KDE apps should be the same. So for example if you're
> using Gwenview 18.08, then you're also using Dolphin 18.08. So you can check
> your Gwenview version to find out what version of Dolphin you have, even if
> Dolphin won't run when you're logged in as the root user.

Gwenview says 18.04 so Kali hasn't upgraded to .08 yet.

> 
> Alexander was trying to use sudo, not log in as root. Logging in as the root
> user should be fixed now in 18.08. If you can confirm that you're running
> Dolphin 18.08 and it still doesn't work when you *log in as the root user*
> (not using sudo), then there's still a bug and I'll try my best to fix it.
> 
> We are all trying our best to fix the issue here. Please be respectful.
> Insults and abuse don't make friends or fix problems.

Nate as I have said before I would rather have a respectful conversation but when told one thing and my eyes see another I do call BS.  As I have said respect has to work *both ways*.

> We are all trying our best to fix the issue here.

We're talking about removing less than two lines of code that should not have been there in the first place.  We're not talking some complex application that has to be completely taken apart to fix.  Really you don't have to remove any code just roll it back to the original that worked.  I'm not sure what versioning software you use but all of them have them ability to do a roll back.

About respect, I asked you a direct question that you did not address.  Where are the links I ask for on where to find the older binaries?  Can't I just copy them over to my machine?  It's respectful to give an answer when asked a question.
Comment 73 Nate Graham 2018-08-21 21:30:24 UTC
I am not sure what you want from me. The fix has been made in 18.08. I cannot backport the fix to 18.04 in KDE-land because there aren't any more planned releases for the 18.04 version. I don't know where you can find the older binaries, or even if they would work (Linux apps are not self-contained and are mostly a collection of shared libraries).

Please direct your complaints at the Kali people and ask them to backport the fix to 18.04. It's up to them at this point. They could also upgrade to 18.08.

This bugzilla ticket is about PolicyKit support in KIO, not root user usage of Dolphin.
Comment 74 Nate Graham 2018-08-21 21:34:21 UTC
If you are desperate for this fix RIGHT NOW, probably building Dolphin from source would be the easiest way to do it. You could check out git master to have the latest version that incorporates the fix, or you could check out the Applications/18.04 branch and then remove the offending code from main.cpp before compiling: https://cgit.kde.org/dolphin.git/tree/src/main.cpp?id=bebcf035d264410c943e7bad861628c1b14dd1f2&h=Applications%2F18.04#n47
Comment 75 lega99 2018-08-22 15:10:03 UTC
(In reply to Nate Graham from comment #71)
> Bo, the version of all KDE apps should be the same. So for example if you're
> using Gwenview 18.08, then you're also using Dolphin 18.08. So you can check
> your Gwenview version to find out what version of Dolphin you have, even if
> Dolphin won't run when you're logged in as the root user.
Maybe maybe not exactly. Copy 18.18 Dophin, dolphin-plugin, kate kwrite from Neon and paste to Kali application version 18.04. Dolphin, kate, kwrite work ok
> 
> Alexander was trying to use sudo, not log in as root. Logging in as the root
> user should be fixed now in 18.08. If you can confirm that you're running
> Dolphin 18.08 and it still doesn't work when you *log in as the root user*
> (not using sudo), then there's still a bug and I'll try my best to fix it.
> 
In order for the system to work as root, especially Ubuntu-based Neon, must be corrected in the system, minimum UIDs or changes to the /etc/pam.d/sddm file.
#auth required pam_succeed_if.so user! = root quiet_success
Comment 76 lega99 2018-08-22 15:53:42 UTC
correction:
In order for the system to work as GUI root, especially Ubuntu-based Neon, must be corrected in the system, minimum UIDs or changes to the /etc/pam.d/sddm file.
#auth required pam_succeed_if.so user! = root quiet_success
root must have the assigned password
Any changes to the UID or the specified line of code can be done without raising the root in the GUI but it remains a secret
Comment 77 lega99 2018-08-22 23:35:03 UTC
User an root Dolphin 18.08 in user account
https://s33.postimg.cc/f209uta73/010.png
Comment 78 Nate Graham 2018-08-27 19:23:06 UTC
*** Bug 355662 has been marked as a duplicate of this bug. ***
Comment 79 Nate Graham 2018-11-05 16:51:32 UTC
*** Bug 400569 has been marked as a duplicate of this bug. ***
Comment 80 KDErobo3me 2018-12-19 03:16:47 UTC
(In reply to lega99 from comment #77)
 
> https://s33.postimg.cc/f209uta73/010.png

instead of waiting, just undo the misguided patch and go back to how things were in the good old days:  https://forum.kde.org/viewtopic.php?f=224&t=141836&start=30#p408074
Comment 81 KDErobo3me 2018-12-19 03:22:29 UTC
(In reply to Nate Graham from comment #74)
> If you are desperate for this fix RIGHT NOW, probably building Dolphin from
> source would be the easiest way to do it. You could check out git master to
> have the latest version that incorporates the fix, or you could check out
> the Applications/18.04 branch and then remove the offending code from
> main.cpp before compiling:

compiling latest sources is much more tedious than sticking with the version that one's distro is shipping at the time. see: https://forum.kde.org/viewtopic.php?f=224&t=141836&start=30#p408074
Comment 82 KDErobo3me 2018-12-19 03:26:52 UTC
(In reply to Bo Weaver from comment #72)

> We're talking about removing less than two lines of code that should not
> have been there in the first place.  

I absolutely concur. It seems though that the "contributor" is actually proud of his "deed" according to  the tenor of his blog. see also: https://forum.kde.org/viewtopic.php?f=224&t=141836&start=30#p408072  were he objects to publishing useful code for reasons so many are taking issue with.
Comment 83 KDErobo3me 2018-12-19 03:29:04 UTC
(In reply to pier andre from comment #6)
> I would like to have the possibility to use dolphin as superuser whenever I
> want please

Exactly! You and millions of other users rely on this feature for their workflow that used to be perfectly fine for decades!
Comment 84 Nate Graham 2019-10-23 14:01:51 UTC
*** Bug 413360 has been marked as a duplicate of this bug. ***
Comment 85 Bo Weaver 2019-10-23 16:37:26 UTC Comment hidden (spam)
Comment 86 Nate Graham 2019-10-23 16:41:22 UTC Comment hidden (spam)
Comment 87 Bo Weaver 2019-10-23 18:07:59 UTC Comment hidden (spam)
Comment 88 lega99 2019-10-26 20:54:04 UTC Comment hidden (spam)
Comment 89 Bo Weaver 2019-10-27 01:27:39 UTC
(In reply to lega99 from comment #88)
> If I remember correctly, this is a Dolphin file manager.

Actually the Dolphin issue has been fixed.  The problem now is root login though the GUI has been completely broken.  You cannot login as root with the Plasma desktop.  If you install the MATE desktop Dolphin and Kate now still work.

 I read big players
> plan to leave support for Plasma and KDE. In Kali update program plasma
> product dont work, synaptic work. I am no longer interested in constantly
> updating and constantly adding actions that I do not need, every new version
> uploads 200-300 files initially, and this is repeated all the time on
> verzion x,x 01 to x. x.5 .

Yes I can see Kali dropping support for KDE and SuSE is also not happy with these changes since both distros depend on root logins.

> After that a new plsma version, new round of the same

To say this is to *secure* the system holds no value since a simple <CTL> <ALT> F1 gives you a tty which is root enabled.
Comment 90 lega99 2019-10-27 14:14:28 UTC Comment hidden (spam)
Comment 91 Bo Weaver 2019-10-27 19:38:51 UTC Comment hidden (spam)
Comment 92 lega99 2019-10-28 07:38:12 UTC Comment hidden (spam)
Comment 93 Bo Weaver 2019-11-07 18:51:07 UTC Comment hidden (spam)
Comment 94 Christoph Feck 2020-02-05 13:11:26 UTC
*** Bug 417190 has been marked as a duplicate of this bug. ***
Comment 95 blueball 2020-05-11 21:57:48 UTC Comment hidden (spam)
Comment 96 Bo Weaver 2020-05-12 14:51:01 UTC Comment hidden (spam)
Comment 97 David Faure 2020-06-06 12:44:11 UTC
I confirm that I'm still alive (to the best of my knowledge). I'm however not knowledgeable with polkit/kauth stuff, others are working on that, as shown on the linked phabricator tasks in comment 86.

Since me being the default assignee for all KIO issues leads to personal attacks (for what's apparently a change in dolphin, completely out of my hands!!), I'll change the bugzilla setup, so that only issues I'm actually working on are marked as assigned to me.
Comment 98 Bug Janitor Service 2020-09-20 18:57:32 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kio/-/merge_requests/143
Comment 99 Andrius Štikonas 2020-11-14 11:58:31 UTC
*** Bug 429066 has been marked as a duplicate of this bug. ***
Comment 100 David 2021-10-23 19:31:54 UTC
Seeing as this has been in the backlog for over a decade already, would be helpful to allow launching dolphin in 'su' or 'sudo' sessions in the meantime. It is reasonable to assume after all these years that the fix will not arrive "soon", and would save a lot of headaches for end users by not having to temporarily move to other file managers which have no such restrictions.
Comment 101 Nate Graham 2021-10-25 04:37:46 UTC
For that, see https://invent.kde.org/system/dolphin/-/merge_requests/43.
Comment 102 petrk 2021-10-26 20:09:03 UTC
That revert was stuck for a year. I don't see it going anywhere with dissatisfied users being called "vocal minority".

I'm not speaking for myself, as I don't mind doing stuff via terminal.
However, KDE lately was aiming more towards new users. Why would they be forced to learn their way around console, or to keep different file manager just to edit some files in restricted areas?
Comment 103 Bo Weaver 2021-10-26 22:13:50 UTC Comment hidden (spam)
Comment 104 lega99 2021-10-27 08:44:48 UTC Comment hidden (spam)
Comment 105 shevegen 2021-10-30 13:45:45 UTC Comment hidden (spam)
Comment 106 funkybomber 2021-10-30 23:38:01 UTC
This imho silly decision to disable sudo access to Dolphin just created negative publicity outside our GNU/Linux echo chamber. This is from a quite famous Youtuber doing a "Linux challenge":
https://www.youtube.com/watch?v=5MAlgKdsdvg&t=2886s

It is a reality check and a wake-up call if we ever needed one.

As a longtime KDE user and donor I can only hope that with this new exposure of KDE to the general public thanks to (among other things) Valve's Steam Deck, this bug and other major ones such as 
https://bugs.kde.org/show_bug.cgi?id=360478
are finally going to see some love... Maybe even Valve should be approached and encouraged to invest some manpower for the bug squashing?
Comment 107 Yaroslavik 2021-12-07 09:55:13 UTC Comment hidden (spam)
Comment 108 Pawel 2021-12-07 15:50:16 UTC Comment hidden (spam)
Comment 109 Nate Graham 2021-12-28 03:41:38 UTC
This has been merged with the commits in https://invent.kde.org/frameworks/kio/-/merge_requests/143 for KIO 5.90!

Thanks to Jan blackquill and Chinmoy Ranjan Pradhan!
Comment 110 Nate Graham 2021-12-28 03:46:00 UTC
*** Bug 173385 has been marked as a duplicate of this bug. ***
Comment 111 Nate Graham 2021-12-28 04:14:54 UTC
*** Bug 392662 has been marked as a duplicate of this bug. ***
Comment 112 Guido 2022-04-17 16:09:10 UTC
Hi, so kio now supports policykit but I can't copy files to the root locations. I also tried installing dolphin version 22.03.90, but nothing changes. What should I do?

I'm on Manjaro
Comment 113 Antonio Rojas 2022-05-02 18:09:02 UTC
*** Bug 453306 has been marked as a duplicate of this bug. ***
Comment 114 Antonio Rojas 2022-05-02 18:10:15 UTC
Reopening as this was reverted
Comment 115 Nate Graham 2022-05-02 18:18:03 UTC
It's in progress again with https://invent.kde.org/frameworks/kio/-/merge_requests/731. Currently approved by David Edmundson, so it's likely (yet again) close to the finish line.